Skip to main content
POST
/
connectors
/
tables
Fetch tables for an unsaved connector
curl --request POST \
  --url https://api.artie.com/connectors/tables \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connector": {
    "dataPlaneName": "<string>",
    "defaultDatabase": "<string>",
    "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "label": "<string>",
    "sharedConfig": {},
    "sshTunnelUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "uuid": "<string>"
  },
  "databaseName": "<string>",
  "forceRefresh": true,
  "schemaName": "<string>"
}
'
{
  "items": [
    {
      "approxDateAdded": "2023-11-07T05:31:56Z",
      "columns": [
        {
          "metadata": {
            "comment": "<string>",
            "dataType": "<string>",
            "defaultValue": "<string>",
            "isPrimaryKey": true,
            "notNull": true
          },
          "name": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "isView": true,
      "metadata": [
        {
          "isDate": true,
          "key": "<string>",
          "value": "<unknown>"
        }
      ],
      "modifiedAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "schema": "<string>",
      "unreadable": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://artie.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Body

application/json
connector
object
required
databaseName
string
required
forceRefresh
boolean
schemaName
string

Response

OK

items
object[]
required